package com.dev.swms.server.model.rules;

import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.energy.server.model.Entity;



public class PresentSaleRule extends Entity{
	
	private static final long serialVersionUID = 1L;
	/** 所属仓库 */
	private Warehouse warehouse;
	
	/** 货主 */
	private Structure company;
	
	/** 货品 */
	private Item item;
	
	/** 数量 */
	private Double quantity;
	
	/** 搭赠物品 */
	private Item presentItem;
	
	/** 搭赠数量 */
	private Double presentQty;

	public Warehouse getWarehouse() {
		return warehouse;
	}

	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}

	public Structure getCompany() {
		return company;
	}

	public void setCompany(Structure company) {
		this.company = company;
	}

	public Item getItem() {
		return item;
	}

	public void setItem(Item item) {
		this.item = item;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public Item getPresentItem() {
		return presentItem;
	}

	public void setPresentItem(Item presentItem) {
		this.presentItem = presentItem;
	}

	public double getPresentQty() {
		return presentQty;
	}

	public void setPresentQty(double presentQty) {
		this.presentQty = presentQty;
	}
	
	
}
